Bug 1016374 - [abrt] transmission-gtk-2.80-2.fc19: tr_torrentGetPeerId: Process /usr/bin/transmission-gtk was killed by signal 11 (SIGSEGV)
[abrt] transmission-gtk-2.80-2.fc19: tr_torrentGetPeerId: Process /usr/bin/tr...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: transmission (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rahul Sundaram
Fedora Extras Quality Assurance
abrt_hash:3ad6c9d6d731e62f66159d30d75...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 00:36 EDT by Robert Hancock
Modified: 2015-02-17 12:33 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:33:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (29.62 KB, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: cgroup (141 bytes, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: core_backtrace (16.54 KB, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: dso_list (10.44 KB, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: environ (2.58 KB, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: exploitable (82 bytes, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: limits (1.29 KB, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: maps (60.90 KB, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: open_fds (2.08 KB, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: proc_pid_status (961 bytes, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details
File: var_log_messages (510 bytes, text/plain)
2013-10-08 00:37 EDT, Robert Hancock
no flags Details

  None (edit)
Description Robert Hancock 2013-10-08 00:36:58 EDT
Description of problem:
Exited Transmission

Version-Release number of selected component:
transmission-gtk-2.80-2.fc19

Additional info:
reporter:       libreport-2.1.7
backtrace_rating: 4
cmdline:        transmission-gtk magnet:?xt=urn:btih:4a65fcb4e9edec966ad811d54a02dedb767e769c&dn=Breaking+Bad+Season+1%2C+2%2C+3%2C+4%2C+5+%2B+Extras+BDRip+DVDRip+TSV&tr=udp%3A%2F%2Ftracker.openbittorrent.com%3A80&tr=udp%3A%2F%2Ftracker.publicbt.com%3A80&tr=udp%3A%2F%2Ftracker.istole.it%3A6969&tr=udp%3A%2F%2Ftracker.ccc.de%3A80&tr=udp%3A%2F%2Fopen.demonii.com%3A1337
crash_function: tr_torrentGetPeerId
executable:     /usr/bin/transmission-gtk
kernel:         3.11.2-201.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 tr_torrentGetPeerId at torrent.c:202
 #1 buildHandshakeMessage at handshake.c:197
 #2 readIA at handshake.c:923
 #3 canRead at handshake.c:1011
 #4 canReadWrapper at peer-io.c:206
 #5 UTP_ProcessIncoming at utp.cpp:2158
 #6 UTP_IsIncomingUTP at utp.cpp:2587
 #7 tr_utpPacket at tr-utp.c:180
 #8 event_callback at tr-udp.c:226
 #9 event_process_active_single_queue at event.c:1340
Comment 1 Robert Hancock 2013-10-08 00:37:03 EDT
Created attachment 809067 [details]
File: backtrace
Comment 2 Robert Hancock 2013-10-08 00:37:06 EDT
Created attachment 809068 [details]
File: cgroup
Comment 3 Robert Hancock 2013-10-08 00:37:10 EDT
Created attachment 809069 [details]
File: core_backtrace
Comment 4 Robert Hancock 2013-10-08 00:37:13 EDT
Created attachment 809070 [details]
File: dso_list
Comment 5 Robert Hancock 2013-10-08 00:37:16 EDT
Created attachment 809071 [details]
File: environ
Comment 6 Robert Hancock 2013-10-08 00:37:20 EDT
Created attachment 809072 [details]
File: exploitable
Comment 7 Robert Hancock 2013-10-08 00:37:23 EDT
Created attachment 809073 [details]
File: limits
Comment 8 Robert Hancock 2013-10-08 00:37:28 EDT
Created attachment 809074 [details]
File: maps
Comment 9 Robert Hancock 2013-10-08 00:37:31 EDT
Created attachment 809075 [details]
File: open_fds
Comment 10 Robert Hancock 2013-10-08 00:37:35 EDT
Created attachment 809076 [details]
File: proc_pid_status
Comment 11 Robert Hancock 2013-10-08 00:37:38 EDT
Created attachment 809077 [details]
File: var_log_messages
Comment 12 Leonid Podolny 2013-10-23 16:38:44 EDT
I removed the torrent being downloaded from the list

reporter:       libreport-2.1.8
backtrace_rating: 4
cmdline:        /usr/bin/transmission-daemon -f --blocklist -g /home/leonid/transmission/config/ -e /home/leonid/transmission/transmission.log
crash_function: tr_torrentGetPeerId
executable:     /usr/bin/transmission-daemon
kernel:         3.11.4-201.fc19.x86_64
package:        transmission-daemon-2.80-2.fc19
reason:         Process /usr/bin/transmission-daemon was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 13 Juan Orti 2013-11-02 18:34:18 EDT
Deleting a torrent and its files

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        /usr/bin/transmission-qt -session 1022d1dd1751a4000138325810400000034100028_1383347293_962796
crash_function: tr_torrentGetPeerId
executable:     /usr/bin/transmission-qt
kernel:         3.11.6-200.fc19.x86_64
package:        transmission-qt-2.80-2.fc19
reason:         Process /usr/bin/transmission-qt was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 Gordon Ewasiuk 2013-12-19 19:33:27 EST
Had K3B "ready to burn" window open.  Closed it without burning a DVD.  Error appeared.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        transmission-gtk /var/tmp/Shipping.Wars.S05E06.HDTV.x264-CRiMSON.torrent
crash_function: tr_torrentGetPeerId
executable:     /usr/bin/transmission-gtk
kernel:         3.11.10-200.fc19.x86_64
package:        transmission-gtk-2.80-2.fc19
reason:         Process /usr/bin/transmission-gtk was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Fedora End Of Life 2015-01-09 15:09:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-17 12:33:41 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.